{{ cart.calculate_totals }}
<section class="SidebarCart">
    <div class="SidebarCart__heading">
        <h4 class="SidebarCart__title">
            {{ __( 'Twój koszyk' , 'starter' ) }}
            (<span id="sidebar-cart-count">{{ cart.get_cart_contents_count }}</span>) 
        </h4>
        <button class="Button--no-style SidebarCart__close">
            {{ icon('close') }}
        </button>
    </div>
    <div class="SidebarCart__content">
        {% if not cart.is_empty %}
            {% for key,value in cart.get_cart %}
                {% set product_id = value.product_id %}
                <div class="CartItem">
                    <a class="CartItem__image" href="{{ fn('get_permalink', product_id) }}">
                        <img 
                        width="300" 
                        height="200" 
                        src="{{ fn( 'get_the_post_thumbnail_url', product_id, 'woocommerce_gallery_thumbnail' ) }}" 
                        alt="{{ fn( 'get_the_title', product_id ) }}">
                    </a>
                    <div class="CartItem__wrapper">
                        <h2 class="CartItem__title">
                            {{ fn( 'get_the_title', product_id ) }}
                        </h2>
                        <div class="CartItem__meta">
                            <div class="CartItem__attributes">
                                {{display_product_attributes( key ) }}
                            </div>
                            <p class="CartItem__pricePerSingle">
                                {{ cart.get_product_price( value.data ) }} / szt.
                            </p>
                            <p class="CartItem__quantity">{{ __('Ilość', 'starter') }}: {{ value.quantity }}</p>
                        </div>
                    </div>
                    <div class="product-remove CartItem__remove">
                        <button data-key="{{ fn('wc_get_cart_remove_url', key ) }}"  class="Button--no-style remove">
                            ×
                        </button>
                    </div>
                </div>
            {% endfor %} 
        {% else %}
            <p class="Cart__noProductsInfo">
                    {{ __( 'Brak produktów w koszyku.', 'polcase' )}}
            </p>
        {% endif %}
    </div>
    <div class="SidebarCart__footer">
        <div class="flex items-center justify-between mb-8">
            <p class="text-primary">{{ __( 'Podsuma' , 'starter' ) }}</p>
            <p id="sidebar-cart-total" class="text-lg font-bold text-primary">{{ fn('wc_price', cart.get_subtotal) }}</p>
        </div>
        <a class="Button Button--color w-full text-center" href="{{ fn('wc_get_cart_url') }}">
            {{ __( 'Przejdź do koszyka' , 'starter' ) }}
        </a>
    </div>
</section>

